'use strict';

const markup = require('../lang/markup.cjs');
const css = require('../lang/css.cjs');
const clike = require('../lang/clike.cjs');
const regex = require('../lang/regex.cjs');
const javascript = require('../lang/javascript.cjs');
const abap = require('../lang/abap.cjs');
const abnf = require('../lang/abnf.cjs');
const actionscript = require('../lang/actionscript.cjs');
const ada = require('../lang/ada.cjs');
const agda = require('../lang/agda.cjs');
const al = require('../lang/al.cjs');
const antlr4 = require('../lang/antlr4.cjs');
const apacheconf = require('../lang/apacheconf.cjs');
const sql = require('../lang/sql.cjs');
const apex = require('../lang/apex.cjs');
const apl = require('../lang/apl.cjs');
const applescript = require('../lang/applescript.cjs');
const aql = require('../lang/aql.cjs');
const c = require('../lang/c.cjs');
const cpp = require('../lang/cpp.cjs');
const arduino = require('../lang/arduino.cjs');
const arff = require('../lang/arff.cjs');
const armasm = require('../lang/armasm.cjs');
const bash = require('../lang/bash.cjs');
const yaml = require('../lang/yaml.cjs');
const markdown = require('../lang/markdown.cjs');
const arturo = require('../lang/arturo.cjs');
const asciidoc = require('../lang/asciidoc.cjs');
const csharp = require('../lang/csharp.cjs');
const aspnet = require('../lang/aspnet.cjs');
const asm6502 = require('../lang/asm6502.cjs');
const asmatmel = require('../lang/asmatmel.cjs');
const autohotkey = require('../lang/autohotkey.cjs');
const autoit = require('../lang/autoit.cjs');
const avisynth = require('../lang/avisynth.cjs');
const avroIdl = require('../lang/avro-idl.cjs');
const awk = require('../lang/awk.cjs');
const basic = require('../lang/basic.cjs');
const batch = require('../lang/batch.cjs');
const bbcode = require('../lang/bbcode.cjs');
const bbj = require('../lang/bbj.cjs');
const bicep = require('../lang/bicep.cjs');
const birb = require('../lang/birb.cjs');
const bison = require('../lang/bison.cjs');
const bnf = require('../lang/bnf.cjs');
const bqn = require('../lang/bqn.cjs');
const brainfuck = require('../lang/brainfuck.cjs');
const brightscript = require('../lang/brightscript.cjs');
const bro = require('../lang/bro.cjs');
const bsl = require('../lang/bsl.cjs');
const cfscript = require('../lang/cfscript.cjs');
const chaiscript = require('../lang/chaiscript.cjs');
const cil = require('../lang/cil.cjs');
const cilkc = require('../lang/cilkc.cjs');
const cilkcpp = require('../lang/cilkcpp.cjs');
const clojure = require('../lang/clojure.cjs');
const cmake = require('../lang/cmake.cjs');
const cobol = require('../lang/cobol.cjs');
const coffeescript = require('../lang/coffeescript.cjs');
const concurnas = require('../lang/concurnas.cjs');
const csp = require('../lang/csp.cjs');
const cooklang = require('../lang/cooklang.cjs');
const coq = require('../lang/coq.cjs');
const ruby = require('../lang/ruby.cjs');
const crystal = require('../lang/crystal.cjs');
const cssExtras = require('../lang/css-extras.cjs');
const csv = require('../lang/csv.cjs');
const cue = require('../lang/cue.cjs');
const cypher = require('../lang/cypher.cjs');
const d = require('../lang/d.cjs');
const dart = require('../lang/dart.cjs');
const dataweave = require('../lang/dataweave.cjs');
const dax = require('../lang/dax.cjs');
const dhall = require('../lang/dhall.cjs');
const diff = require('../lang/diff.cjs');
const markupTemplating = require('../lang/markup-templating.cjs');
const django = require('../lang/django.cjs');
const dnsZoneFile = require('../lang/dns-zone-file.cjs');
const docker = require('../lang/docker.cjs');
const dot = require('../lang/dot.cjs');
const ebnf = require('../lang/ebnf.cjs');
const editorconfig = require('../lang/editorconfig.cjs');
const eiffel = require('../lang/eiffel.cjs');
const ejs = require('../lang/ejs.cjs');
const elixir = require('../lang/elixir.cjs');
const elm = require('../lang/elm.cjs');
const lua = require('../lang/lua.cjs');
const etlua = require('../lang/etlua.cjs');
const erb = require('../lang/erb.cjs');
const erlang = require('../lang/erlang.cjs');
const excelFormula = require('../lang/excel-formula.cjs');
const fsharp = require('../lang/fsharp.cjs');
const factor = require('../lang/factor.cjs');
const _false = require('../lang/false.cjs');
const firestoreSecurityRules = require('../lang/firestore-security-rules.cjs');
const flow = require('../lang/flow.cjs');
const fortran = require('../lang/fortran.cjs');
const ftl = require('../lang/ftl.cjs');
const gml = require('../lang/gml.cjs');
const gap = require('../lang/gap.cjs');
const gcode = require('../lang/gcode.cjs');
const gdscript = require('../lang/gdscript.cjs');
const gedcom = require('../lang/gedcom.cjs');
const gettext = require('../lang/gettext.cjs');
const gherkin = require('../lang/gherkin.cjs');
const git = require('../lang/git.cjs');
const glsl = require('../lang/glsl.cjs');
const gn = require('../lang/gn.cjs');
const linkerScript = require('../lang/linker-script.cjs');
const go = require('../lang/go.cjs');
const goModule = require('../lang/go-module.cjs');
const gradle = require('../lang/gradle.cjs');
const graphql = require('../lang/graphql.cjs');
const groovy = require('../lang/groovy.cjs');
const less = require('../lang/less.cjs');
const scss = require('../lang/scss.cjs');
const textile = require('../lang/textile.cjs');
const haml = require('../lang/haml.cjs');
const handlebars = require('../lang/handlebars.cjs');
const haskell = require('../lang/haskell.cjs');
const haxe = require('../lang/haxe.cjs');
const hcl = require('../lang/hcl.cjs');
const hlsl = require('../lang/hlsl.cjs');
const hoon = require('../lang/hoon.cjs');
const hpkp = require('../lang/hpkp.cjs');
const hsts = require('../lang/hsts.cjs');
const json = require('../lang/json.cjs');
const uri = require('../lang/uri.cjs');
const http = require('../lang/http.cjs');
const ichigojam = require('../lang/ichigojam.cjs');
const icon = require('../lang/icon.cjs');
const icuMessageFormat = require('../lang/icu-message-format.cjs');
const idris = require('../lang/idris.cjs');
const ignore = require('../lang/ignore.cjs');
const inform7 = require('../lang/inform7.cjs');
const ini = require('../lang/ini.cjs');
const io = require('../lang/io.cjs');
const j = require('../lang/j.cjs');
const java = require('../lang/java.cjs');
const php = require('../lang/php.cjs');
const javadoclike = require('../lang/javadoclike.cjs');
const scala = require('../lang/scala.cjs');
const javadoc = require('../lang/javadoc.cjs');
const javastacktrace = require('../lang/javastacktrace.cjs');
const jexl = require('../lang/jexl.cjs');
const jolie = require('../lang/jolie.cjs');
const jq = require('../lang/jq.cjs');
const jsTemplates = require('../lang/js-templates.cjs');
const typescript = require('../lang/typescript.cjs');
const jsdoc = require('../lang/jsdoc.cjs');
const n4js = require('../lang/n4js.cjs');
const jsExtras = require('../lang/js-extras.cjs');
const json5 = require('../lang/json5.cjs');
const jsonp = require('../lang/jsonp.cjs');
const jsstacktrace = require('../lang/jsstacktrace.cjs');
const julia = require('../lang/julia.cjs');
const keepalived = require('../lang/keepalived.cjs');
const keyman = require('../lang/keyman.cjs');
const kotlin = require('../lang/kotlin.cjs');
const kumir = require('../lang/kumir.cjs');
const kusto = require('../lang/kusto.cjs');
const latex = require('../lang/latex.cjs');
const latte = require('../lang/latte.cjs');
const scheme = require('../lang/scheme.cjs');
const lilypond = require('../lang/lilypond.cjs');
const liquid = require('../lang/liquid.cjs');
const lisp = require('../lang/lisp.cjs');
const livescript = require('../lang/livescript.cjs');
const llvm = require('../lang/llvm.cjs');
const log = require('../lang/log.cjs');
const lolcode = require('../lang/lolcode.cjs');
const magma = require('../lang/magma.cjs');
const makefile = require('../lang/makefile.cjs');
const mata = require('../lang/mata.cjs');
const matlab = require('../lang/matlab.cjs');
const maxscript = require('../lang/maxscript.cjs');
const mel = require('../lang/mel.cjs');
const mermaid = require('../lang/mermaid.cjs');
const metafont = require('../lang/metafont.cjs');
const mizar = require('../lang/mizar.cjs');
const mongodb = require('../lang/mongodb.cjs');
const monkey = require('../lang/monkey.cjs');
const moonscript = require('../lang/moonscript.cjs');
const n1ql = require('../lang/n1ql.cjs');
const nand2tetrisHdl = require('../lang/nand2tetris-hdl.cjs');
const naniscript = require('../lang/naniscript.cjs');
const nasm = require('../lang/nasm.cjs');
const neon = require('../lang/neon.cjs');
const nevod = require('../lang/nevod.cjs');
const nginx = require('../lang/nginx.cjs');
const nim = require('../lang/nim.cjs');
const nix = require('../lang/nix.cjs');
const nsis = require('../lang/nsis.cjs');
const objectivec = require('../lang/objectivec.cjs');
const ocaml = require('../lang/ocaml.cjs');
const odin = require('../lang/odin.cjs');
const opencl = require('../lang/opencl.cjs');
const openqasm = require('../lang/openqasm.cjs');
const oz = require('../lang/oz.cjs');
const parigp = require('../lang/parigp.cjs');
const parser = require('../lang/parser.cjs');
const pascal = require('../lang/pascal.cjs');
const pascaligo = require('../lang/pascaligo.cjs');
const psl = require('../lang/psl.cjs');
const pcaxis = require('../lang/pcaxis.cjs');
const peoplecode = require('../lang/peoplecode.cjs');
const perl = require('../lang/perl.cjs');
const phpdoc = require('../lang/phpdoc.cjs');
const phpExtras = require('../lang/php-extras.cjs');
const plantUml = require('../lang/plant-uml.cjs');
const plsql = require('../lang/plsql.cjs');
const powerquery = require('../lang/powerquery.cjs');
const powershell = require('../lang/powershell.cjs');
const processing = require('../lang/processing.cjs');
const prolog = require('../lang/prolog.cjs');
const promql = require('../lang/promql.cjs');
const properties = require('../lang/properties.cjs');
const protobuf = require('../lang/protobuf.cjs');
const stylus = require('../lang/stylus.cjs');
const twig = require('../lang/twig.cjs');
const pug = require('../lang/pug.cjs');
const puppet = require('../lang/puppet.cjs');
const pure = require('../lang/pure.cjs');
const purebasic = require('../lang/purebasic.cjs');
const purescript = require('../lang/purescript.cjs');
const python = require('../lang/python.cjs');
const qsharp = require('../lang/qsharp.cjs');
const q = require('../lang/q.cjs');
const qml = require('../lang/qml.cjs');
const qore = require('../lang/qore.cjs');
const r = require('../lang/r.cjs');
const racket = require('../lang/racket.cjs');
const cshtml = require('../lang/cshtml.cjs');
const jsx = require('../lang/jsx.cjs');
const tsx = require('../lang/tsx.cjs');
const reason = require('../lang/reason.cjs');
const rego = require('../lang/rego.cjs');
const renpy = require('../lang/renpy.cjs');
const rescript = require('../lang/rescript.cjs');
const rest = require('../lang/rest.cjs');
const rip = require('../lang/rip.cjs');
const roboconf = require('../lang/roboconf.cjs');
const robotframework = require('../lang/robotframework.cjs');
const rust = require('../lang/rust.cjs');
const sas = require('../lang/sas.cjs');
const sass = require('../lang/sass.cjs');
const shellSession = require('../lang/shell-session.cjs');
const smali = require('../lang/smali.cjs');
const smalltalk = require('../lang/smalltalk.cjs');
const smarty = require('../lang/smarty.cjs');
const sml = require('../lang/sml.cjs');
const solidity = require('../lang/solidity.cjs');
const solutionFile = require('../lang/solution-file.cjs');
const soy = require('../lang/soy.cjs');
const turtle = require('../lang/turtle.cjs');
const sparql = require('../lang/sparql.cjs');
const splunkSpl = require('../lang/splunk-spl.cjs');
const sqf = require('../lang/sqf.cjs');
const squirrel = require('../lang/squirrel.cjs');
const stan = require('../lang/stan.cjs');
const stata = require('../lang/stata.cjs');
const iecst = require('../lang/iecst.cjs');
const supercollider = require('../lang/supercollider.cjs');
const swift = require('../lang/swift.cjs');
const systemd = require('../lang/systemd.cjs');
const t4Templating = require('../lang/t4-templating.cjs');
const t4Cs = require('../lang/t4-cs.cjs');
const vbnet = require('../lang/vbnet.cjs');
const t4Vb = require('../lang/t4-vb.cjs');
const tap = require('../lang/tap.cjs');
const tcl = require('../lang/tcl.cjs');
const tt2 = require('../lang/tt2.cjs');
const toml = require('../lang/toml.cjs');
const tremor = require('../lang/tremor.cjs');
const typoscript = require('../lang/typoscript.cjs');
const unrealscript = require('../lang/unrealscript.cjs');
const uorazor = require('../lang/uorazor.cjs');
const v = require('../lang/v.cjs');
const vala = require('../lang/vala.cjs');
const velocity = require('../lang/velocity.cjs');
const verilog = require('../lang/verilog.cjs');
const vhdl = require('../lang/vhdl.cjs');
const vim = require('../lang/vim.cjs');
const visualBasic = require('../lang/visual-basic.cjs');
const warpscript = require('../lang/warpscript.cjs');
const wasm = require('../lang/wasm.cjs');
const webIdl = require('../lang/web-idl.cjs');
const wgsl = require('../lang/wgsl.cjs');
const wiki = require('../lang/wiki.cjs');
const wolfram = require('../lang/wolfram.cjs');
const wren = require('../lang/wren.cjs');
const xeora = require('../lang/xeora.cjs');
const xmlDoc = require('../lang/xml-doc.cjs');
const xojo = require('../lang/xojo.cjs');
const xquery = require('../lang/xquery.cjs');
const yang = require('../lang/yang.cjs');
const zig = require('../lang/zig.cjs');
const core = require('./core.cjs');

/**
 * @typedef {import('./core.js').Syntax} Syntax
 */


core.refractor.register(markup);
core.refractor.register(css);
core.refractor.register(clike);
core.refractor.register(regex);
core.refractor.register(javascript);
core.refractor.register(abap);
core.refractor.register(abnf);
core.refractor.register(actionscript);
core.refractor.register(ada);
core.refractor.register(agda);
core.refractor.register(al);
core.refractor.register(antlr4);
core.refractor.register(apacheconf);
core.refractor.register(sql);
core.refractor.register(apex);
core.refractor.register(apl);
core.refractor.register(applescript);
core.refractor.register(aql);
core.refractor.register(c);
core.refractor.register(cpp);
core.refractor.register(arduino);
core.refractor.register(arff);
core.refractor.register(armasm);
core.refractor.register(bash);
core.refractor.register(yaml);
core.refractor.register(markdown);
core.refractor.register(arturo);
core.refractor.register(asciidoc);
core.refractor.register(csharp);
core.refractor.register(aspnet);
core.refractor.register(asm6502);
core.refractor.register(asmatmel);
core.refractor.register(autohotkey);
core.refractor.register(autoit);
core.refractor.register(avisynth);
core.refractor.register(avroIdl);
core.refractor.register(awk);
core.refractor.register(basic);
core.refractor.register(batch);
core.refractor.register(bbcode);
core.refractor.register(bbj);
core.refractor.register(bicep);
core.refractor.register(birb);
core.refractor.register(bison);
core.refractor.register(bnf);
core.refractor.register(bqn);
core.refractor.register(brainfuck);
core.refractor.register(brightscript);
core.refractor.register(bro);
core.refractor.register(bsl);
core.refractor.register(cfscript);
core.refractor.register(chaiscript);
core.refractor.register(cil);
core.refractor.register(cilkc);
core.refractor.register(cilkcpp);
core.refractor.register(clojure);
core.refractor.register(cmake);
core.refractor.register(cobol);
core.refractor.register(coffeescript);
core.refractor.register(concurnas);
core.refractor.register(csp);
core.refractor.register(cooklang);
core.refractor.register(coq);
core.refractor.register(ruby);
core.refractor.register(crystal);
core.refractor.register(cssExtras);
core.refractor.register(csv);
core.refractor.register(cue);
core.refractor.register(cypher);
core.refractor.register(d);
core.refractor.register(dart);
core.refractor.register(dataweave);
core.refractor.register(dax);
core.refractor.register(dhall);
core.refractor.register(diff);
core.refractor.register(markupTemplating);
core.refractor.register(django);
core.refractor.register(dnsZoneFile);
core.refractor.register(docker);
core.refractor.register(dot);
core.refractor.register(ebnf);
core.refractor.register(editorconfig);
core.refractor.register(eiffel);
core.refractor.register(ejs);
core.refractor.register(elixir);
core.refractor.register(elm);
core.refractor.register(lua);
core.refractor.register(etlua);
core.refractor.register(erb);
core.refractor.register(erlang);
core.refractor.register(excelFormula);
core.refractor.register(fsharp);
core.refractor.register(factor);
core.refractor.register(_false);
core.refractor.register(firestoreSecurityRules);
core.refractor.register(flow);
core.refractor.register(fortran);
core.refractor.register(ftl);
core.refractor.register(gml);
core.refractor.register(gap);
core.refractor.register(gcode);
core.refractor.register(gdscript);
core.refractor.register(gedcom);
core.refractor.register(gettext);
core.refractor.register(gherkin);
core.refractor.register(git);
core.refractor.register(glsl);
core.refractor.register(gn);
core.refractor.register(linkerScript);
core.refractor.register(go);
core.refractor.register(goModule);
core.refractor.register(gradle);
core.refractor.register(graphql);
core.refractor.register(groovy);
core.refractor.register(less);
core.refractor.register(scss);
core.refractor.register(textile);
core.refractor.register(haml);
core.refractor.register(handlebars);
core.refractor.register(haskell);
core.refractor.register(haxe);
core.refractor.register(hcl);
core.refractor.register(hlsl);
core.refractor.register(hoon);
core.refractor.register(hpkp);
core.refractor.register(hsts);
core.refractor.register(json);
core.refractor.register(uri);
core.refractor.register(http);
core.refractor.register(ichigojam);
core.refractor.register(icon);
core.refractor.register(icuMessageFormat);
core.refractor.register(idris);
core.refractor.register(ignore);
core.refractor.register(inform7);
core.refractor.register(ini);
core.refractor.register(io);
core.refractor.register(j);
core.refractor.register(java);
core.refractor.register(php);
core.refractor.register(javadoclike);
core.refractor.register(scala);
core.refractor.register(javadoc);
core.refractor.register(javastacktrace);
core.refractor.register(jexl);
core.refractor.register(jolie);
core.refractor.register(jq);
core.refractor.register(jsTemplates);
core.refractor.register(typescript);
core.refractor.register(jsdoc);
core.refractor.register(n4js);
core.refractor.register(jsExtras);
core.refractor.register(json5);
core.refractor.register(jsonp);
core.refractor.register(jsstacktrace);
core.refractor.register(julia);
core.refractor.register(keepalived);
core.refractor.register(keyman);
core.refractor.register(kotlin);
core.refractor.register(kumir);
core.refractor.register(kusto);
core.refractor.register(latex);
core.refractor.register(latte);
core.refractor.register(scheme);
core.refractor.register(lilypond);
core.refractor.register(liquid);
core.refractor.register(lisp);
core.refractor.register(livescript);
core.refractor.register(llvm);
core.refractor.register(log);
core.refractor.register(lolcode);
core.refractor.register(magma);
core.refractor.register(makefile);
core.refractor.register(mata);
core.refractor.register(matlab);
core.refractor.register(maxscript);
core.refractor.register(mel);
core.refractor.register(mermaid);
core.refractor.register(metafont);
core.refractor.register(mizar);
core.refractor.register(mongodb);
core.refractor.register(monkey);
core.refractor.register(moonscript);
core.refractor.register(n1ql);
core.refractor.register(nand2tetrisHdl);
core.refractor.register(naniscript);
core.refractor.register(nasm);
core.refractor.register(neon);
core.refractor.register(nevod);
core.refractor.register(nginx);
core.refractor.register(nim);
core.refractor.register(nix);
core.refractor.register(nsis);
core.refractor.register(objectivec);
core.refractor.register(ocaml);
core.refractor.register(odin);
core.refractor.register(opencl);
core.refractor.register(openqasm);
core.refractor.register(oz);
core.refractor.register(parigp);
core.refractor.register(parser);
core.refractor.register(pascal);
core.refractor.register(pascaligo);
core.refractor.register(psl);
core.refractor.register(pcaxis);
core.refractor.register(peoplecode);
core.refractor.register(perl);
core.refractor.register(phpdoc);
core.refractor.register(phpExtras);
core.refractor.register(plantUml);
core.refractor.register(plsql);
core.refractor.register(powerquery);
core.refractor.register(powershell);
core.refractor.register(processing);
core.refractor.register(prolog);
core.refractor.register(promql);
core.refractor.register(properties);
core.refractor.register(protobuf);
core.refractor.register(stylus);
core.refractor.register(twig);
core.refractor.register(pug);
core.refractor.register(puppet);
core.refractor.register(pure);
core.refractor.register(purebasic);
core.refractor.register(purescript);
core.refractor.register(python);
core.refractor.register(qsharp);
core.refractor.register(q);
core.refractor.register(qml);
core.refractor.register(qore);
core.refractor.register(r);
core.refractor.register(racket);
core.refractor.register(cshtml);
core.refractor.register(jsx);
core.refractor.register(tsx);
core.refractor.register(reason);
core.refractor.register(rego);
core.refractor.register(renpy);
core.refractor.register(rescript);
core.refractor.register(rest);
core.refractor.register(rip);
core.refractor.register(roboconf);
core.refractor.register(robotframework);
core.refractor.register(rust);
core.refractor.register(sas);
core.refractor.register(sass);
core.refractor.register(shellSession);
core.refractor.register(smali);
core.refractor.register(smalltalk);
core.refractor.register(smarty);
core.refractor.register(sml);
core.refractor.register(solidity);
core.refractor.register(solutionFile);
core.refractor.register(soy);
core.refractor.register(turtle);
core.refractor.register(sparql);
core.refractor.register(splunkSpl);
core.refractor.register(sqf);
core.refractor.register(squirrel);
core.refractor.register(stan);
core.refractor.register(stata);
core.refractor.register(iecst);
core.refractor.register(supercollider);
core.refractor.register(swift);
core.refractor.register(systemd);
core.refractor.register(t4Templating);
core.refractor.register(t4Cs);
core.refractor.register(vbnet);
core.refractor.register(t4Vb);
core.refractor.register(tap);
core.refractor.register(tcl);
core.refractor.register(tt2);
core.refractor.register(toml);
core.refractor.register(tremor);
core.refractor.register(typoscript);
core.refractor.register(unrealscript);
core.refractor.register(uorazor);
core.refractor.register(v);
core.refractor.register(vala);
core.refractor.register(velocity);
core.refractor.register(verilog);
core.refractor.register(vhdl);
core.refractor.register(vim);
core.refractor.register(visualBasic);
core.refractor.register(warpscript);
core.refractor.register(wasm);
core.refractor.register(webIdl);
core.refractor.register(wgsl);
core.refractor.register(wiki);
core.refractor.register(wolfram);
core.refractor.register(wren);
core.refractor.register(xeora);
core.refractor.register(xmlDoc);
core.refractor.register(xojo);
core.refractor.register(xquery);
core.refractor.register(yang);
core.refractor.register(zig);

exports.refractor = core.refractor;
